# -*- encoding: utf-8 -*-

# Author: M. Sakano (Wise Babel Ltd)

require 'db_suit_rails/sql_skelton/fkey'

$stdout.sync=true
$stderr.sync=true
# print '$LOAD_PATH=';p $LOAD_PATH

#################################################
# Unit Test
#################################################

#if $0 == __FILE__
  gem "minitest"
  # require 'minitest/unit'
  require 'minitest/autorun'
  # MiniTest::Unit.autorun

  class TestUnitSqlSkeltonFkey < MiniTest::Test
    T = true
    F = false
    SCFNAME = File.basename(__FILE__)

    def setup
      # @ib = 1
    end
    # teardown is not often used.
    def teardown
      # @foo = nil
    end


    def test_basic01
      fk = SqlSkelton::Fkey.new('job', 'person_id', 'company', 'eid')
      assert_equal 'job',       fk.child[:tbl]
      assert_equal 'person_id', fk.child[:col]
      assert_equal 'company',   fk.parent[:tbl]
      assert_equal 'eid',       fk.parent[:col]
      assert_raises(DbSuitRailsFkeyError){ SqlSkelton::Fkey.new('job', nil, 'company', 'eid') }
    end

  end	# class TestUnitSqlSkeltonFkey < MiniTest::Test

#end	# if $0 == __FILE__


